div.cookie-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    background: rgba(0, 0, 0, 20);
    z-index: 99999;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.75s ease;
}
div.cookie-overlay.fadeIn {
    opacity: 1;
    pointer-events: all;
}
div.cookie-overlay div.cookieconsent {
    background: white;
    padding: 40px;
    width: 80%;
    max-height: 100vh;
    overflow-y: scroll;
}
div.cookie-overlay div.cookieconsent div.cookie-categories {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
div.cookie-overlay div.cookieconsent div.cookie-categories div.cookie-category {
    flex: 0 0 25%;
    max-width: 25%;
    min-height: 1px;
    text-align: center;
    margin: 5px 0;
}
@media (max-width: 992px) {
    div.cookie-overlay div.cookieconsent div.cookie-categories div.cookie-category {
        flex: 0 0 50%;
        max-width: 50%;
    }
}
@media (max-width: 768px) {
    div.cookie-overlay div.cookieconsent div.cookie-categories div.cookie-category {
        flex: 0 0 100%;
        max-width: 100%;
    }
}
div.cookie-overlay div.cookieconsent div.cookie-btns {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
div.cookie-overlay div.cookieconsent div.cookie-btns > * {
    margin: 5px 0;
    flex: 0 0 100%;
}
div.cookie-overlay .noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}
